com.sun.grid.jgdi.configuration

## Interface PETask

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    PETaskImpl

      public interface PETask
      extends GEObject

  Java representation of the cull object PET_Type defined in sge_all_listsL.template

  Warning: The PETask class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGrantedDestinIdentifier(JG agrantedDestinIdentifier)` Add a com.sun.grid.jgdi.configuration.JG attribute.
    `void` | `addPathAliases(PathAlias apathAliases)` Add a com.sun.grid.jgdi.configuration.PathAlias attribute.
    `java.lang.String` | `dump()`
    `java.lang.String` | `getCwd()` Get the value of the cwd attribute.
    `java.lang.String` | `getDefaultEnvironment()` Get the default value of the attribute environment.
    `double` | `getDefaultPreviousUsage()` Get the default value of the attribute previousUsage.
    `double` | `getDefaultReportedUsage()` Get the default value of the attribute reportedUsage.
    `double` | `getDefaultScaledUsage()` Get the default value of the attribute scaledUsage.
    `double` | `getDefaultUsage()` Get the default value of the attribute usage.
    `int` | `getEndTime()` Get the value of the endTime attribute.
    `java.lang.String` | `getEnvironment(java.lang.String key)` Get the environment attribute for `key`.
    `int` | `getEnvironmentCount()` Get the number of keys which have the attribute environment set.
    `java.util.Set<java.lang.String>` | `getEnvironmentKeys()` Get the set of `key`s which have the attribute environment set.
    `JG` | `getGrantedDestinIdentifier(int index)` Get a com.sun.grid.jgdi.configuration.JG attribute at an index.
    `int` | `getGrantedDestinIdentifierCount()` Get the number of com.sun.grid.jgdi.configuration.JG attributes.
    `java.util.List<JG>` | `getGrantedDestinIdentifierList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JG attributes.
    `java.lang.String` | `getId()` Get the value of the id attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `java.lang.String` | `getOsjobid()` Get the value of the osjobid attribute.
    `PathAlias` | `getPathAliases(int index)` Get a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
    `int` | `getPathAliasesCount()` Get the number of com.sun.grid.jgdi.configuration.PathAlias attributes.
    `java.util.List<PathAlias>` | `getPathAliasesList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathAlias attributes.
    `int` | `getPid()` Get the value of the pid attribute.
    `double` | `getPreviousUsage(java.lang.String key)` Get the previousUsage attribute for `key`.
    `int` | `getPreviousUsageCount()` Get the number of keys which have the attribute previousUsage set.
    `java.util.Set<java.lang.String>` | `getPreviousUsageKeys()` Get the set of `key`s which have the attribute previousUsage set.
    `double` | `getReportedUsage(java.lang.String key)` Get the reportedUsage attribute for `key`.
    `int` | `getReportedUsageCount()` Get the number of keys which have the attribute reportedUsage set.
    `java.util.Set<java.lang.String>` | `getReportedUsageKeys()` Get the set of `key`s which have the attribute reportedUsage set.
    `double` | `getScaledUsage(java.lang.String key)` Get the scaledUsage attribute for `key`.
    `int` | `getScaledUsageCount()` Get the number of keys which have the attribute scaledUsage set.
    `java.util.Set<java.lang.String>` | `getScaledUsageKeys()` Get the set of `key`s which have the attribute scaledUsage set.
    `int` | `getStartTime()` Get the value of the startTime attribute.
    `int` | `getStatus()` Get the value of the status attribute.
    `int` | `getSubmissionTime()` Get the value of the submissionTime attribute.
    `double` | `getUsage(java.lang.String key)` Get the usage attribute for `key`.
    `int` | `getUsageCount()` Get the number of keys which have the attribute usage set.
    `java.util.Set<java.lang.String>` | `getUsageKeys()` Get the set of `key`s which have the attribute usage set.
    `boolean` | `isDoContact()` Get the value of the doContact attribute.
    `boolean` | `isSetCwd()` Determine if any cwd attribute is set
    `boolean` | `isSetDoContact()` Determine if any doContact attribute is set
    `boolean` | `isSetEndTime()` Determine if any endTime attribute is set
    `boolean` | `isSetEnvironment()` Determine if any environment attribute is set
    `boolean` | `isSetEnvironment(java.lang.String key)` Determine if any environment attribute is for `key` is set
    `boolean` | `isSetGrantedDestinIdentifier()` Determine if any grantedDestinIdentifier attribute is set
    `boolean` | `isSetId()` Determine if any id attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetOsjobid()` Determine if any osjobid attribute is set
    `boolean` | `isSetPathAliases()` Determine if any pathAliases attribute is set
    `boolean` | `isSetPid()` Determine if any pid attribute is set
    `boolean` | `isSetPreviousUsage()` Determine if any previousUsage attribute is set
    `boolean` | `isSetPreviousUsage(java.lang.String key)` Determine if any previousUsage attribute is for `key` is set
    `boolean` | `isSetReportedUsage()` Determine if any reportedUsage attribute is set
    `boolean` | `isSetReportedUsage(java.lang.String key)` Determine if any reportedUsage attribute is for `key` is set
    `boolean` | `isSetScaledUsage()` Determine if any scaledUsage attribute is set
    `boolean` | `isSetScaledUsage(java.lang.String key)` Determine if any scaledUsage attribute is for `key` is set
    `boolean` | `isSetStartTime()` Determine if any startTime attribute is set
    `boolean` | `isSetStatus()` Determine if any status attribute is set
    `boolean` | `isSetSubmissionTime()` Determine if any submissionTime attribute is set
    `boolean` | `isSetUsage()` Determine if any usage attribute is set
    `boolean` | `isSetUsage(java.lang.String key)` Determine if any usage attribute is for `key` is set
    `void` | `putEnvironment(java.lang.String key, java.lang.String value)` Put the attribute environment for `key`.
    `void` | `putPreviousUsage(java.lang.String key, double value)` Put the attribute previousUsage for `key`.
    `void` | `putReportedUsage(java.lang.String key, double value)` Put the attribute reportedUsage for `key`.
    `void` | `putScaledUsage(java.lang.String key, double value)` Put the attribute scaledUsage for `key`.
    `void` | `putUsage(java.lang.String key, double value)` Put the attribute usage for `key`.
    `void` | `removeAllEnvironment()` Remove the attribute environment for all keys.
    `void` | `removeAllGrantedDestinIdentifier()` Remove all com.sun.grid.jgdi.configuration.JG attributes.
    `void` | `removeAllPathAliases()` Remove all com.sun.grid.jgdi.configuration.PathAlias attributes.
    `void` | `removeAllPreviousUsage()` Remove the attribute previousUsage for all keys.
    `void` | `removeAllReportedUsage()` Remove the attribute reportedUsage for all keys.
    `void` | `removeAllScaledUsage()` Remove the attribute scaledUsage for all keys.
    `void` | `removeAllUsage()` Remove the attribute usage for all keys.
    `java.lang.String` | `removeEnvironment(java.lang.String key)` remove the attribute environment for `key`.
    `JG` | `removeGrantedDestinIdentifier(int index)` Remote a com.sun.grid.jgdi.configuration.JG attribute at an index.
    `boolean` | `removeGrantedDestinIdentifier(JG agrantedDestinIdentifier)` Remote a specific com.sun.grid.jgdi.configuration.JG attribute.
    `PathAlias` | `removePathAliases(int index)` Remote a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
    `boolean` | `removePathAliases(PathAlias apathAliases)` Remote a specific com.sun.grid.jgdi.configuration.PathAlias attribute.
    `java.lang.Double` | `removePreviousUsage(java.lang.String key)` remove the attribute previousUsage for `key`.
    `java.lang.Double` | `removeReportedUsage(java.lang.String key)` remove the attribute reportedUsage for `key`.
    `java.lang.Double` | `removeScaledUsage(java.lang.String key)` remove the attribute scaledUsage for `key`.
    `java.lang.Double` | `removeUsage(java.lang.String key)` remove the attribute usage for `key`.
    `void` | `setCwd(java.lang.String aCwd)` Set the cwd attribute.
    `void` | `setDoContact(boolean aDoContact)` Set the doContact attribute.
    `void` | `setEndTime(int aEndTime)` Set the endTime attribute.
    `void` | `setGrantedDestinIdentifier(int index, JG agrantedDestinIdentifier)` Set a com.sun.grid.jgdi.configuration.JG attribute.
    `void` | `setId(java.lang.String aId)` Set the id attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setOsjobid(java.lang.String aOsjobid)` Set the osjobid attribute.
    `void` | `setPathAliases(int index, PathAlias apathAliases)` Set a com.sun.grid.jgdi.configuration.PathAlias attribute.
    `void` | `setPid(int aPid)` Set the pid attribute.
    `void` | `setStartTime(int aStartTime)` Set the startTime attribute.
    `void` | `setStatus(int aStatus)` Set the status attribute.
    `void` | `setSubmissionTime(int aSubmissionTime)` Set the submissionTime attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setId

          void setId(java.lang.String aId)

      Set the id attribute.
      Parameters:
        `aId` - the new value for the id attribute

    - #### getId

          java.lang.String getId()

      Get the value of the id attribute.
      Returns:
        the value of the id attribute

    - #### isSetId

          boolean isSetId()

      Determine if any id attribute is set
      Returns:
        `true` if the id attribute is set

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setStatus

          void setStatus(int aStatus)

      Set the status attribute.
      Parameters:
        `aStatus` - the new value for the status attribute

    - #### getStatus

          int getStatus()

      Get the value of the status attribute.
      Returns:
        the value of the status attribute

    - #### isSetStatus

          boolean isSetStatus()

      Determine if any status attribute is set
      Returns:
        `true` if the status attribute is set

    - #### getGrantedDestinIdentifierList

          java.util.List<JG> getGrantedDestinIdentifierList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JG attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JG attributes

    - #### getGrantedDestinIdentifierCount

          int getGrantedDestinIdentifierCount()

      Get the number of com.sun.grid.jgdi.configuration.JG attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JG attributes.

    - #### getGrantedDestinIdentifier

          JG getGrantedDestinIdentifier(int index)

      Get a com.sun.grid.jgdi.configuration.JG attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JG attribute

    - #### addGrantedDestinIdentifier

          void addGrantedDestinIdentifier(JG agrantedDestinIdentifier)

      Add a com.sun.grid.jgdi.configuration.JG attribute.
      Parameters:
        `agrantedDestinIdentifier` - the new com.sun.grid.jgdi.configuration.JG attribute

    - #### setGrantedDestinIdentifier

          void setGrantedDestinIdentifier(int index,
                                          JG agrantedDestinIdentifier)

      Set a com.sun.grid.jgdi.configuration.JG attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JG attribute
        `agrantedDestinIdentifier` - the new com.sun.grid.jgdi.configuration.JG attribute

    - #### removeAllGrantedDestinIdentifier

          void removeAllGrantedDestinIdentifier()

      Remove all com.sun.grid.jgdi.configuration.JG attributes.

    - #### removeGrantedDestinIdentifier

          JG removeGrantedDestinIdentifier(int index)

      Remote a com.sun.grid.jgdi.configuration.JG attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JG attribute or `null` if no attribute at this index is stored

    - #### removeGrantedDestinIdentifier

          boolean removeGrantedDestinIdentifier(JG agrantedDestinIdentifier)

      Remote a specific com.sun.grid.jgdi.configuration.JG attribute.
      Parameters:
        `agrantedDestinIdentifier` - the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JG attribute has been removed

    - #### isSetGrantedDestinIdentifier

          boolean isSetGrantedDestinIdentifier()

      Determine if any grantedDestinIdentifier attribute is set
      Returns:
        `true` if the grantedDestinIdentifier attribute is set

    - #### setPid

          void setPid(int aPid)

      Set the pid attribute.
      Parameters:
        `aPid` - the new value for the pid attribute

    - #### getPid

          int getPid()

      Get the value of the pid attribute.
      Returns:
        the value of the pid attribute

    - #### isSetPid

          boolean isSetPid()

      Determine if any pid attribute is set
      Returns:
        `true` if the pid attribute is set

    - #### setOsjobid

          void setOsjobid(java.lang.String aOsjobid)

      Set the osjobid attribute.
      Parameters:
        `aOsjobid` - the new value for the osjobid attribute

    - #### getOsjobid

          java.lang.String getOsjobid()

      Get the value of the osjobid attribute.
      Returns:
        the value of the osjobid attribute

    - #### isSetOsjobid

          boolean isSetOsjobid()

      Determine if any osjobid attribute is set
      Returns:
        `true` if the osjobid attribute is set

    - #### getDefaultUsage

          double getDefaultUsage()

      Get the default value of the attribute usage.

      Returns:
        the default value of the attribute usage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getUsage

          double getUsage(java.lang.String key)

      Get the usage attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the usage attribute for `key` or the default value of usage

    - #### getUsageKeys

          java.util.Set<java.lang.String> getUsageKeys()

      Get the set of `key`s which have the attribute usage set.
      Returns:
        set of `key`s

    - #### getUsageCount

          int getUsageCount()

      Get the number of keys which have the attribute usage set.
      Returns:
        the number of keys which have the attribute usage set.

    - #### isSetUsage

          boolean isSetUsage(java.lang.String key)

      Determine if any usage attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the usage attribute is set

    - #### putUsage

          void putUsage(java.lang.String key,
                        double value)

      Put the attribute usage for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removeUsage

          java.lang.Double removeUsage(java.lang.String key)

      remove the attribute usage for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllUsage

          void removeAllUsage()

      Remove the attribute usage for all keys.

    - #### isSetUsage

          boolean isSetUsage()

      Determine if any usage attribute is set
      Returns:
        `true` if the usage attribute is set

    - #### getDefaultScaledUsage

          double getDefaultScaledUsage()

      Get the default value of the attribute scaledUsage.

      Returns:
        the default value of the attribute scaledUsage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getScaledUsage

          double getScaledUsage(java.lang.String key)

      Get the scaledUsage attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the scaledUsage attribute for `key` or the default value of scaledUsage

    - #### getScaledUsageKeys

          java.util.Set<java.lang.String> getScaledUsageKeys()

      Get the set of `key`s which have the attribute scaledUsage set.
      Returns:
        set of `key`s

    - #### getScaledUsageCount

          int getScaledUsageCount()

      Get the number of keys which have the attribute scaledUsage set.
      Returns:
        the number of keys which have the attribute scaledUsage set.

    - #### isSetScaledUsage

          boolean isSetScaledUsage(java.lang.String key)

      Determine if any scaledUsage attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the scaledUsage attribute is set

    - #### putScaledUsage

          void putScaledUsage(java.lang.String key,
                              double value)

      Put the attribute scaledUsage for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removeScaledUsage

          java.lang.Double removeScaledUsage(java.lang.String key)

      remove the attribute scaledUsage for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllScaledUsage

          void removeAllScaledUsage()

      Remove the attribute scaledUsage for all keys.

    - #### isSetScaledUsage

          boolean isSetScaledUsage()

      Determine if any scaledUsage attribute is set
      Returns:
        `true` if the scaledUsage attribute is set

    - #### getDefaultReportedUsage

          double getDefaultReportedUsage()

      Get the default value of the attribute reportedUsage.

      Returns:
        the default value of the attribute reportedUsage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getReportedUsage

          double getReportedUsage(java.lang.String key)

      Get the reportedUsage attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the reportedUsage attribute for `key` or the default value of reportedUsage

    - #### getReportedUsageKeys

          java.util.Set<java.lang.String> getReportedUsageKeys()

      Get the set of `key`s which have the attribute reportedUsage set.
      Returns:
        set of `key`s

    - #### getReportedUsageCount

          int getReportedUsageCount()

      Get the number of keys which have the attribute reportedUsage set.
      Returns:
        the number of keys which have the attribute reportedUsage set.

    - #### isSetReportedUsage

          boolean isSetReportedUsage(java.lang.String key)

      Determine if any reportedUsage attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the reportedUsage attribute is set

    - #### putReportedUsage

          void putReportedUsage(java.lang.String key,
                                double value)

      Put the attribute reportedUsage for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removeReportedUsage

          java.lang.Double removeReportedUsage(java.lang.String key)

      remove the attribute reportedUsage for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllReportedUsage

          void removeAllReportedUsage()

      Remove the attribute reportedUsage for all keys.

    - #### isSetReportedUsage

          boolean isSetReportedUsage()

      Determine if any reportedUsage attribute is set
      Returns:
        `true` if the reportedUsage attribute is set

    - #### getDefaultPreviousUsage

          double getDefaultPreviousUsage()

      Get the default value of the attribute previousUsage.

      Returns:
        the default value of the attribute previousUsage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getPreviousUsage

          double getPreviousUsage(java.lang.String key)

      Get the previousUsage attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the previousUsage attribute for `key` or the default value of previousUsage

    - #### getPreviousUsageKeys

          java.util.Set<java.lang.String> getPreviousUsageKeys()

      Get the set of `key`s which have the attribute previousUsage set.
      Returns:
        set of `key`s

    - #### getPreviousUsageCount

          int getPreviousUsageCount()

      Get the number of keys which have the attribute previousUsage set.
      Returns:
        the number of keys which have the attribute previousUsage set.

    - #### isSetPreviousUsage

          boolean isSetPreviousUsage(java.lang.String key)

      Determine if any previousUsage attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the previousUsage attribute is set

    - #### putPreviousUsage

          void putPreviousUsage(java.lang.String key,
                                double value)

      Put the attribute previousUsage for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removePreviousUsage

          java.lang.Double removePreviousUsage(java.lang.String key)

      remove the attribute previousUsage for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllPreviousUsage

          void removeAllPreviousUsage()

      Remove the attribute previousUsage for all keys.

    - #### isSetPreviousUsage

          boolean isSetPreviousUsage()

      Determine if any previousUsage attribute is set
      Returns:
        `true` if the previousUsage attribute is set

    - #### setSubmissionTime

          void setSubmissionTime(int aSubmissionTime)

      Set the submissionTime attribute.
      Parameters:
        `aSubmissionTime` - the new value for the submissionTime attribute

    - #### getSubmissionTime

          int getSubmissionTime()

      Get the value of the submissionTime attribute.
      Returns:
        the value of the submissionTime attribute

    - #### isSetSubmissionTime

          boolean isSetSubmissionTime()

      Determine if any submissionTime attribute is set
      Returns:
        `true` if the submissionTime attribute is set

    - #### setStartTime

          void setStartTime(int aStartTime)

      Set the startTime attribute.
      Parameters:
        `aStartTime` - the new value for the startTime attribute

    - #### getStartTime

          int getStartTime()

      Get the value of the startTime attribute.
      Returns:
        the value of the startTime attribute

    - #### isSetStartTime

          boolean isSetStartTime()

      Determine if any startTime attribute is set
      Returns:
        `true` if the startTime attribute is set

    - #### setEndTime

          void setEndTime(int aEndTime)

      Set the endTime attribute.
      Parameters:
        `aEndTime` - the new value for the endTime attribute

    - #### getEndTime

          int getEndTime()

      Get the value of the endTime attribute.
      Returns:
        the value of the endTime attribute

    - #### isSetEndTime

          boolean isSetEndTime()

      Determine if any endTime attribute is set
      Returns:
        `true` if the endTime attribute is set

    - #### setCwd

          void setCwd(java.lang.String aCwd)

      Set the cwd attribute.
      Parameters:
        `aCwd` - the new value for the cwd attribute

    - #### getCwd

          java.lang.String getCwd()

      Get the value of the cwd attribute.
      Returns:
        the value of the cwd attribute

    - #### isSetCwd

          boolean isSetCwd()

      Determine if any cwd attribute is set
      Returns:
        `true` if the cwd attribute is set

    - #### getPathAliasesList

          java.util.List<PathAlias> getPathAliasesList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathAlias attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PathAlias attributes

    - #### getPathAliasesCount

          int getPathAliasesCount()

      Get the number of com.sun.grid.jgdi.configuration.PathAlias attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.PathAlias attributes.

    - #### getPathAliases

          PathAlias getPathAliases(int index)

      Get a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathAlias attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PathAlias attribute

    - #### addPathAliases

          void addPathAliases(PathAlias apathAliases)

      Add a com.sun.grid.jgdi.configuration.PathAlias attribute.
      Parameters:
        `apathAliases` - the new com.sun.grid.jgdi.configuration.PathAlias attribute

    - #### setPathAliases

          void setPathAliases(int index,
                              PathAlias apathAliases)

      Set a com.sun.grid.jgdi.configuration.PathAlias attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PathAlias attribute
        `apathAliases` - the new com.sun.grid.jgdi.configuration.PathAlias attribute

    - #### removeAllPathAliases

          void removeAllPathAliases()

      Remove all com.sun.grid.jgdi.configuration.PathAlias attributes.

    - #### removePathAliases

          PathAlias removePathAliases(int index)

      Remote a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathAlias attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PathAlias attribute or `null` if no attribute at this index is stored

    - #### removePathAliases

          boolean removePathAliases(PathAlias apathAliases)

      Remote a specific com.sun.grid.jgdi.configuration.PathAlias attribute.
      Parameters:
        `apathAliases` - the com.sun.grid.jgdi.configuration.PathAlias attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PathAlias attribute has been removed

    - #### isSetPathAliases

          boolean isSetPathAliases()

      Determine if any pathAliases attribute is set
      Returns:
        `true` if the pathAliases attribute is set

    - #### getDefaultEnvironment

          java.lang.String getDefaultEnvironment()

      Get the default value of the attribute environment.

      Returns:
        the default value of the attribute environment
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getEnvironment

          java.lang.String getEnvironment(java.lang.String key)

      Get the environment attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the environment attribute for `key` or the default value of environment

    - #### getEnvironmentKeys

          java.util.Set<java.lang.String> getEnvironmentKeys()

      Get the set of `key`s which have the attribute environment set.
      Returns:
        set of `key`s

    - #### getEnvironmentCount

          int getEnvironmentCount()

      Get the number of keys which have the attribute environment set.
      Returns:
        the number of keys which have the attribute environment set.

    - #### isSetEnvironment

          boolean isSetEnvironment(java.lang.String key)

      Determine if any environment attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the environment attribute is set

    - #### putEnvironment

          void putEnvironment(java.lang.String key,
                              java.lang.String value)

      Put the attribute environment for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removeEnvironment

          java.lang.String removeEnvironment(java.lang.String key)

      remove the attribute environment for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllEnvironment

          void removeAllEnvironment()

      Remove the attribute environment for all keys.

    - #### isSetEnvironment

          boolean isSetEnvironment()

      Determine if any environment attribute is set
      Returns:
        `true` if the environment attribute is set

    - #### setDoContact

          void setDoContact(boolean aDoContact)

      Set the doContact attribute.
      Parameters:
        `aDoContact` - the new value for the doContact attribute

    - #### isDoContact

          boolean isDoContact()

      Get the value of the doContact attribute.
      Returns:
        the value of the doContact attribute

    - #### isSetDoContact

          boolean isSetDoContact()

      Determine if any doContact attribute is set
      Returns:
        `true` if the doContact attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.